Page MenuHomePhabricator

nodemap: implement Python interface
ClosedPublic

Authored by quark on Nov 20 2017, 7:11 PM.

Details

Reviewers
durham
Group Reviewers
Restricted Project
Commits
rFBHGXb62a54a44024: nodemap: implement Python interface
Summary

This patch exposes the nodemap APIs in a CPython importable library.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

quark created this revision.Nov 20 2017, 7:11 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 20 2017, 7:11 PM
quark updated this revision to Diff 3790.Nov 22 2017, 8:45 PM
quark edited the summary of this revision. (Show Details)Nov 22 2017, 9:31 PM
quark updated this revision to Diff 3794.
quark updated this revision to Diff 3797.Nov 22 2017, 9:42 PM
quark updated this revision to Diff 3800.Nov 22 2017, 10:40 PM
durham accepted this revision.Dec 1 2017, 7:49 PM
durham added a subscriber: durham.
durham added inline comments.
rust/indexes/src/pyext.rs
13

We can't use ? here instead of try?

20

This isn't the actual changelog python object right? This is a byte array of the .i data? Maybe we should rename it to make that clear, since we might introduce an actual changelog concept in the future.

41

Is the unsafe just needed to convert the u32 to a u8 quickly?

This revision is now accepted and ready to land.Dec 1 2017, 7:49 PM
quark added inline comments.Dec 1 2017, 9:10 PM
rust/indexes/src/pyext.rs
13

try! was from GitHub README.md. Will change.

20

Will rename to changelogi.

41

Yes.

quark updated this revision to Diff 4453.Dec 14 2017, 9:21 PM
This revision was automatically updated to reflect the committed changes.